from orangescape.model.engine.execution.MathandTrig import SUM
from orangescape.model.engine.execution.Text import CONCATENATE
from orangescape.model.engine.execution.Statistical import COUNT,COUNTA,MAX,MIN

def DSUM(argList):
    return SUM(argList)

def DCONCATENATE(argList):
    return CONCATENATE(argList)

def DCOUNT(argList):
    return COUNT(argList)

def DCOUNTA(argList):
    return COUNTA(argList)

def DMAX(argList):
    if len(argList)>0:
        return MAX(argList)
    return None

def DMIN(argList):
    if len(argList)>0:
        return MIN(argList)
    return None

def DFIND(argList):
    if len(argList)>0:
        return argList[0]
    return None

